package com.chinacreator.video.restful.dao;


import com.chinacreator.video.restful.bean.HsQueryVipBean;
import org.apache.ibatis.annotations.Param;
import org.springframework.cache.annotation.Cacheable;
import org.springframework.stereotype.Component;

import java.util.HashMap;
import java.util.List;

/**
 *
 * @author
 * @date 20220608
 */
@Component
public interface HsQueryVipDao {

	List<HashMap>  findActivityConfig();

	List<HashMap>  findBakBusiConfig();

	List<HashMap> getSendvip_conf(@Param("channel") String channel, @Param("subchannel")String subchannel, @Param("spid")String spid);

	List<HashMap> getJoinspid_conf(@Param("channel") String channel, @Param("subchannel")String subchannel, @Param("spid")String spid,@Param("ordertime")String ordertime);

	List<HsQueryVipBean> getContinueVip(String userid);

	List<HashMap> findUserChannelData(@Param("userid") String userid, @Param("spid")String spid);


	List<HashMap> getJoinspid_conf_new(@Param("channel") String channel, @Param("subchannel") String subchannel, @Param("spid") String spid, @Param("ordertime") String ordertime);

	List<HashMap> getSendvip_conf_new(@Param("channel") String channel, @Param("subchannel") String subchannel, @Param("spid") String spid);
}
